package dev.micle.geologistpicktweaks.mixin;

import com.igteam.immersivegeology.common.item.IGMineralTestingItem;
import dev.micle.geologistpicktweaks.GeologistPickTweaks;
import net.minecraft.world.InteractionResult;
import net.minecraft.world.item.context.UseOnContext;
import org.spongepowered.asm.mixin.Mixin;
import org.spongepowered.asm.mixin.Overwrite;

@Mixin(IGMineralTestingItem.class)
public abstract class IGMineralTestingItemMixin {
    /**
     * @author Micle
     * @reason Improving geologist pick usage logic.
     */
    @Overwrite
    public InteractionResult useOn(UseOnContext context) {
        GeologistPickTweaks.LOGGER.debug("HELLO WORLD");

        return InteractionResult.SUCCESS;
    }
}
